curl --request PATCH \
--url https://app.unitedlogistics.com.do/api/v1/pois/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Cliente Altice – Bávaro (Principal)",
"tags": [
"cliente",
"vip"
]
}
'{
"data": {
"id": 481,
"org_id": "d87f7281-ea19-45cd-b6fd-d8eb9e310da1",
"fleet_id": 1029,
"name": "Cliente Altice – Bávaro (Principal)",
"description": "Punto de entrega cliente Altice zona este",
"latitude": 18.6792,
"longitude": -68.4014,
"image_url": null,
"geometry_type": "circle",
"geofence_radius_meters": 250,
"polygon_coordinates": null,
"tags": [
"cliente",
"vip"
],
"created_at": "2025-09-15T13:00:00.000Z",
"updated_at": "2026-05-26T03:21:18.412Z"
}
}{
"error": {
"code": "bad_request",
"message": "Invalid POI payload.",
"details": {
"fieldErrors": {
"geofence_radius_meters": [
"geofence_radius_meters es requerido para geocercas circulares"
]
}
}
}
}{
"error": {
"code": "unauthorized",
"message": "API key missing or invalid."
}
}{
"error": {
"code": "forbidden",
"message": "La flota no está asignada a tu organización."
}
}{
"error": {
"code": "not_found",
"message": "POI no encontrado."
}
}{
"error": {
"code": "too_many_requests",
"message": "Rate limit exceeded."
}
}POIs
Update a POI
Partially updates a POI. Send only the fields you want to change. To switch geometry, include geometry_type plus either latitude/longitude/geofence_radius_meters (for circle) or polygon_coordinates (for polygon).
PATCH
/
pois
/
{id}
curl --request PATCH \
--url https://app.unitedlogistics.com.do/api/v1/pois/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Cliente Altice – Bávaro (Principal)",
"tags": [
"cliente",
"vip"
]
}
'{
"data": {
"id": 481,
"org_id": "d87f7281-ea19-45cd-b6fd-d8eb9e310da1",
"fleet_id": 1029,
"name": "Cliente Altice – Bávaro (Principal)",
"description": "Punto de entrega cliente Altice zona este",
"latitude": 18.6792,
"longitude": -68.4014,
"image_url": null,
"geometry_type": "circle",
"geofence_radius_meters": 250,
"polygon_coordinates": null,
"tags": [
"cliente",
"vip"
],
"created_at": "2025-09-15T13:00:00.000Z",
"updated_at": "2026-05-26T03:21:18.412Z"
}
}{
"error": {
"code": "bad_request",
"message": "Invalid POI payload.",
"details": {
"fieldErrors": {
"geofence_radius_meters": [
"geofence_radius_meters es requerido para geocercas circulares"
]
}
}
}
}{
"error": {
"code": "unauthorized",
"message": "API key missing or invalid."
}
}{
"error": {
"code": "forbidden",
"message": "La flota no está asignada a tu organización."
}
}{
"error": {
"code": "not_found",
"message": "POI no encontrado."
}
}{
"error": {
"code": "too_many_requests",
"message": "Rate limit exceeded."
}
}Authorizations
Authorization: Bearer ulk__. Cree la clave en Configuración → API.
Path Parameters
Numeric POI id.
Pattern:
^\d+$Body
application/json
Example:
1029
Required string length:
1 - 255Example:
"Cliente Altice – Bávaro"
Maximum string length:
2000Example:
"Actualizado: nuevo punto de entrega"
Example:
null
Available options:
circle, polygon Example:
"circle"
Required range:
-90 <= x <= 90Example:
18.6792
Required range:
-180 <= x <= 180Example:
-68.4014
Required range:
10 <= x <= 1000Example:
300
Required array length:
3 - 500 elementsShow child attributes
Show child attributes
Maximum array length:
32Required string length:
1 - 64Example:
["cliente", "vip"]
Response
OK
Show child attributes
Show child attributes
